Create Column

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/column
API call form
Examples

Native columns are created automatically when adding a dataset (e.g. from a connector or a local upload). Manually creating columns is useful if you want to e.g. create a derived column (make sure to validate the expression against syntax and logical errors using the validate action first).

In order to use the column, you will have to associate it to a dataset later on (which requires edit access to the dataset).

A derived column created by an embed token of a tenant is assigned to that tenant automatically. This requires use on the dataset through the token's tenant_fields_rights (or rights , if tenant_fields_rights is not set). See Custom fields per tenant .

Request parametersResponse schema
Expand all Reset
properties *OBJECTrequired

Properties of the column to create. Next to order , a non-derived column also requires type and informat . For a derived column, expression is required instead: its type , subtype , format and informat are determined automatically from the expression and cannot be set manually.

name Multilingual string
description Multilingual string
ai_context STRING
order *NUMBERrequired
source_name STRING
type STRING
subtype STRING
format STRING
informat STRING
color STRING
isLabel BOOLEAN
lowestLevel NUMBER
expression STRING
derivation OBJECT
width NUMBER
colors_enabled BOOLEAN
hierarchy_enabled BOOLEAN
ordering_enabled BOOLEAN
aggregation_type STRING
currency_id STRING
timezone_id STRING
duration_levels ARRAY[INTEGER]
duration_format STRING
custom_metadata OBJECT
Can be executed by:
Logged-in User
Can be associated to:
Securable
Joins
HierarchyLevels
Currency
Tenants
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "id": "8014daa9-bc79-42ee-b71d-81dc1525a3c8",
  "name": {
    "en": "Purchase id"
  },
  "description": null,
  "ai_context": null,
  "order": 1,
  "source_name": "Purchase id",
  "type": "hierarchy",
  "subtype": null,
  "format": "",
  "informat": "hierarchy",
  "previous_datetime_informat": null,
  "color": "#3182bd",
  "prefix": null,
  "suffix": null,
  "isLabel": false,
  "minBound": null,
  "maxBound": null,
  "cardinality": null,
  "lowestLevel": 0,
  "highestLevel": 0,
  "minimum": null,
  "maximum": null,
  "expression": null,
  "derivation": null,
  "version": 0,
  "width": 170,
  "hierarchy_enabled": false,
  "ordering_enabled": false,
  "colors_enabled": true,
  "aggregation_type": "sum",
  "custom_aggregations": null,
  "custom_metadata": null,
  "duration_levels": null,
  "duration_format": "long",
  "created_at": "2024-01-16T15:21:37.924Z",
  "updated_at": "2024-01-16T15:21:37.924Z",
  "securable_id": "807623f5-ac65-4022-bc87-595b412ce397",
  "aggregation_id": null,
  "currency_id": null
}